// 监听门户发送过来的用户信息消息，
//import { FRAME_REFRESH } from '@cacp/ui'
import { useCoreStore } from '@/stores'

// 对cookie和userInfo进行监听
export function addEventListener() {
//  const coreStore = useCoreStore()
  window.addEventListener('message', (event: MessageEvent) => {
    if (event.data !== null && !Array.isArray(event.data) && typeof event.data === 'object') {
      // if (event.data?.type === FRAME_REFRESH) {
      //   coreStore.clear()
      //   window.location.reload()
      // }
    }
  })
}
